---
import Base from "../layouts/Base.astro";
import Header from "../components/Header.astro";
import SliderSection from "../layouts/SliderSection.astro";
import ConfigCard from "../components/ConfigCard.astro";
import Icon from "../components/Icon.astro";
import FeedbackSection from "../components/FeedbackSection.astro";
import FeaturesSection from "./FeaturesSection.astro";

import {getDirectusClient} from "../utils/get-directus-client";
import {readItems} from "@directus/sdk";

const directus = await getDirectusClient();
const response = await directus.request(
	readItems("configs", {
		fields: ["*"],
		limit: -1,
	})
);
let configs = response;
---

<Base>
	<Header />
	<main class="page main-page">
		<!-- PAGE HERO -->
		<div class="page-container">
			<div class="main-hero">
				<h1 class="">
					Обеспечиваем <br />
					<span>бесперебойную работу</span>
					<br /> цифровых систем бизнеса
				</h1>
				<div>
					<p class="body-1 mb-10">
						Фокусируйтесь на развитии своего <br /> бизнеса, в то время как мы
						берем <br /> на себя все технические заботы
					</p>
					<a href="#" class="primary-button button-medium">Наши услуги</a>
				</div>
			</div>
		</div>
		<div class="numbers">
			<div class="page-container">
				<ul class="numbers__wrapper">
					<li>
						<h2>15 лет</h2>
						<p>Опыта работы <br /> в сфере данных</p>
					</li>
					<li>
						<h2>99.98%</h2>
						<p>Бесперебойной <br /> работы за год</p>
					</li>
					<li>
						<h2>2000+</h2>
						<p>Серверных <br /> юнитов</p>
					</li>
					<li>
						<h2>15КВт</h2>
						<p>Мощность <br /> на одну стойку</p>
					</li>
				</ul>
			</div>
		</div>
		<!-- FEATURES SECTION -->
		<div class="page-container">
			<FeaturesSection />
		</div>

		<!-- SERVICES LINKS SECTION -->
		<div class="page-container">
			<section class="page__section services-links">
				<ul class="services-links__list">
					<li class="services-links__item">
						<a href="#" class="services-links__link">
							<div class="link__header">
								<div class="link__title">
									<h2>Аренда <br /> выделенного сервера</h2>
									<Icon icon="caretRight" size="40px" />
								</div>
								<p class="link__description body-1">
									Выделенный под ваш проект сервер, с гибкими настройками
									и дополнительными услугами
								</p>
							</div>
						</a>
					</li>

					<li class="services-links__item">
						<a href="#" class="services-links__link">
							<div class="link__header">
								<div class="link__title">
									<h2>Colocation <br /> Размещение сервера</h2>
									<Icon icon="caretRight" size="40px" />
								</div>
								<p class="link__description body-1">
									Максимальная надёжность и безопасность Вашего оборудования в
									нашем дата-центре
								</p>
							</div>
						</a>
					</li>

					<li class="services-links__item">
						<a href="#" class="services-links__link">
							<div class="link__header">
								<div class="link__title">
									<h2>Приобретение <br /> сервера в лизинг</h2>
									<Icon icon="caretRight" size="40px" />
								</div>
								<p class="link__description body-1">
									Доступ к передовым технологиям без значительных трат, с
									гибкими условиями оплаты
								</p>
							</div>
						</a>
					</li>

					<li class="services-links__item">
						<a href="#" class="services-links__link">
							<div class="link__header">
								<div class="link__title">
									<h2>Обслуживание <br /> и сервис</h2>
									<Icon icon="caretRight" size="40px" />
								</div>
								<p class="link__description body-1">
									Профессиональное администрирование и сервис оборудования,
									для надежности и стабильной работы
								</p>
							</div>
						</a>
					</li>
				</ul>
        <!-- CONFIGURATIONS SECTION-->
        <div class="">
          <SliderSection
            title="Готовые серверы"
            subtitle="Конфигурации доступные в аренду и лизинг, готовые решать Ваши задачи"
          >
            {configs.map((config) => <ConfigCard config={config} />)}
          </SliderSection>
          <FeedbackSection />
        </div>
				<footer class="footer"></footer>
			</section>
		</div>
		<FeedbackSection />
		<footer class="footer"></footer>
	</main>
</Base>
